OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.VertexAttribBinding

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBVertexAttribBinding :: MonadIO m => m Bool
- gl_ARB_vertex_attrib_binding :: Bool
- pattern GL_MAX_VERTEX_ATTRIB_BINDINGS :: GLenum
- pattern GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET :: GLenum
- pattern GL_VERTEX_ATTRIB_BINDING :: GLenum
- pattern GL_VERTEX_ATTRIB_RELATIVE_OFFSET :: GLenum
- pattern GL_VERTEX_BINDING_DIVISOR :: GLenum
- pattern GL_VERTEX_BINDING_OFFSET :: GLenum
- pattern GL_VERTEX_BINDING_STRIDE :: GLenum
- glBindVertexBuffer :: MonadIO m => GLuint -> GLuint -> GLintptr -> GLsizei -> m ()
- glVertexAttribBinding :: MonadIO m => GLuint -> GLuint -> m ()
- glVertexAttribFormat :: MonadIO m => GLuint -> GLint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribIFormat :: MonadIO m => GLuint -> GLint -> GLenum -> GLuint -> m ()
- glVertexAttribLFormat :: MonadIO m => GLuint -> GLint -> GLenum -> GLuint -> m ()
- glVertexBindingDivisor :: MonadIO m => GLuint -> GLuint -> m ()

# Extension Support

glGetARBVertexAttribBinding :: MonadIO m => m Bool Source #

Is the ARB_vertex_attrib_binding extension supported?

gl_ARB_vertex_attrib_binding :: Bool Source #

Is the ARB_vertex_attrib_binding extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBVertexAttribBinding` in those cases instead.

# Enums

pattern GL_MAX_VERTEX_ATTRIB_BINDINGS :: GLenum Source #

pattern GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET :: GLenum Source #

pattern GL_VERTEX_ATTRIB_BINDING :: GLenum Source #

pattern GL_VERTEX_ATTRIB_RELATIVE_OFFSET :: GLenum Source #

pattern GL_VERTEX_BINDING_DIVISOR :: GLenum Source #

pattern GL_VERTEX_BINDING_OFFSET :: GLenum Source #

pattern GL_VERTEX_BINDING_STRIDE :: GLenum Source #

# Functions

glBindVertexBuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `bindingindex`.
-> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizei | `stride`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribBinding Source #

Arguments

:: MonadIO m |
=> GLuint | `attribindex`.
-> GLuint | `bindingindex`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribFormat Source #

Arguments

:: MonadIO m |
=> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribType.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `relativeoffset`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribIFormat Source #

Arguments

:: MonadIO m |
=> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribIType.
-> GLuint | `relativeoffset`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribLFormat Source #

Arguments

:: MonadIO m |
=> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribLType.
-> GLuint | `relativeoffset`.
-> m () |

Manual page for OpenGL 4.x.

glVertexBindingDivisor Source #

Arguments

:: MonadIO m |
=> GLuint | `bindingindex`.
-> GLuint | `divisor`.
-> m () |

Manual page for OpenGL 4.x.